#!/usr/bin/env python

# Qt tutorial 4.

import sys
from qt import *


class MyWidget(QWidget):
	def __init__(self,*args):
		apply(QWidget.__init__,(self,) + args)

		self.setMinimumSize(200,120)
		self.setMaximumSize(200,120)

		self.quit = QPushButton("Quit",self,"quit")
		self.quit.setGeometry(62,40,75,30)
		self.quit.setFont(QFont("Times",18,QFont.Weight.Bold))

		self.connect(self.quit,SIGNAL("clicked()"),qApp,SLOT("quit()"))


a = QApplication(sys.argv)

w = MyWidget()
w.setGeometry(100,100,200,120)
a.setMainWidget(w)
w.show()
a.exec_loop()
